import unittest
import io
import contextlib
from unittest.mock import patch

from tmc import points

from tmc.utils import load, get_stdout
main = load('src.main', 'main')


@points('2.6')
class MainTest(unittest.TestCase):

    def test_00_prints_all_to_different_lines(self):
        self.longMessage = False
        with patch('builtins.input', side_effect=['2','3']) as prompt:
            main()
            output = get_stdout().split('\n')
            self.assertTrue(len(output)>1,msg='Et tulostanut eri riveille')

    def test_01_prints_right(self):
        self.longMessage = True
        with patch('builtins.input', side_effect=['2','3']) as prompt:
            main()
            output = get_stdout().split('\n')
            self.assertEqual(output[0],'5',msg='Väärin')
            self.assertEqual(output[1],'6',msg='Väärin')
            self.assertEqual(output[2],str(2/3),msg='Väärin')

